Vetcad
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Переменная содержащая имя листа

Переменная содержащая имя листа

Ответ
Поиск в этой теме
Непрочитано 11.11.2007, 14:34 #1
Переменная содержащая имя листа
deConstructor
 
Регистрация: 22.10.2007
Сообщений: 38

Подскажите - есть ли переменная которая содержит имя листа??
Просто листы называю - 1,2,3... хочу сделать автонумерацию
Спасиб
Просмотров: 2891
 
Непрочитано 11.11.2007, 15:11
#2
Евгений А.

Армспорт
 
Регистрация: 18.07.2006
Ейск
Сообщений: 355


Переменной вроде нету, а вот макрос на кнопочку напишу:
^C^C^P(vlax-for layout (vla-get-layouts (vla-get-activedocument (vlax-get-acad-object)))(if (/= 0 (setq tab (vla-get-taborder layout)))(vla-put-name layout (itoa tab))))
Евгений А. вне форума  
 
Автор темы   Непрочитано 11.11.2007, 15:25
#3
deConstructor


 
Регистрация: 22.10.2007
Сообщений: 38


Цитата:
Сообщение от Евгений А. Посмотреть сообщение
Переменной вроде нету, а вот макрос на кнопочку напишу:
^C^C^P(vlax-for layout (vla-get-layouts (vla-get-activedocument (vlax-get-acad-object)))(if (/= 0 (setq tab (vla-get-taborder layout)))(vla-put-name layout (itoa tab))))
Спасибо тока че с ним делать не врубаюсь
а переменная CTAB??
deConstructor вне форума  
 
Непрочитано 11.11.2007, 15:54
#4
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 37,817


ctab позволяет только получить имя активного листа. Если выполнить нечто типа
Код:
[Выделить все]
(setvar "ctab" "qwerdasf")
и при этом листа с таким именем нет, то получишь ошибку.
Для установки имен листов последовательно, начиная с какого-то числа, можно использовать как макрос #2, так и такой лисп:
Код:
[Выделить все]
(defun c:renumlayouts (/ *error* adoc start)
  (defun *error* (msg)
    (vla-endundomark adoc)
    (princ msg)
    (princ)
    ) ;_ end of defun

  (vl-load-com)
  (vla-startundomark
    (setq adoc (vla-get-activedocument (vlax-get-acad-object)))
    ) ;_ end of vla-startundomark
  (if (= (type (setq start (vl-catch-all-apply
                             '(lambda ()
                                (cond
                                  ((getint "\nНачальный номер <1> : "))
                                  (t 1)
                                  ) ;_ end of cond
                                ) ;_ end of lambda
                             ) ;_ end of vl-catch-all-apply
                     ) ;_ end of setq
               ) ;_ end of type
         'int
         ) ;_ end of =
    (vlax-for layout (vla-get-layouts adoc)
      (if (equal (vla-get-modeltype layout) :vlax-false)
        (vla-put-name layout (itoa (1- (+ start (vla-get-taborder layout)))))
        ) ;_ end of if
      ) ;_ end of vlax-for
    ) ;_ end of if
  (vla-endundomark adoc)
  (princ)
  ) ;_ end of defun
Добавлены пара проверок и обрамлено в команду. А так все то же.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 11.11.2007, 16:13
#5
Евгений А.

Армспорт
 
Регистрация: 18.07.2006
Ейск
Сообщений: 355


Цитата:
Сообщение от deConstructor Посмотреть сообщение
Спасибо тока че с ним делать не врубаюсь
а переменная CTAB??
Поищи по форуму как создать свою кнопку или пункт меню, там поймёшь куда вставить мой макрос
Евгений А. вне форума  
 
Непрочитано 11.11.2007, 16:25
#6
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 37,817


А чего искать-то? dwg.ru/art/2
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Автор темы   Непрочитано 11.11.2007, 17:57
#7
deConstructor


 
Регистрация: 22.10.2007
Сообщений: 38


Спасибо огромное за ответы) все отлино
кнопку создал
deConstructor вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Переменная содержащая имя листа

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Работа в пространстве листа Traum AutoCAD 42 14.08.2014 05:57
Вариация моделей в SCAD - проблемы с РСУ UIII SCAD 2 04.10.2007 13:35
Хочу наконец поставить точку с пространством листа! Saha AutoCAD 21 04.09.2007 22:30
Внешние ссылки и пространство листа. bivis333 AutoCAD 4 01.12.2006 05:19
Почему тормозит переменная? Valery Программирование 6 16.04.2005 16:16